Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 216128 - games-arcade/stepmania-3.9 does not compile with gcc 4.3
Summary: games-arcade/stepmania-3.9 does not compile with gcc 4.3
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Games (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Samuli Suominen
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: gcc-4.3
  Show dependency tree
 
Reported: 2008-04-04 02:32 UTC by David Carlos Manuelda
Modified: 2008-04-14 19:57 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
patch for compiling with gcc 4.3 (stepmania-3.9-gcc-4.3.patch,9.06 KB, patch)
2008-04-04 02:33 UTC, David Carlos Manuelda
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description David Carlos Manuelda 2008-04-04 02:32:25 UTC
I found errors in compiling stepmania with gcc 4.3.
I attach a patch to solve all lack of includes.

Reproducible: Always
Comment 1 David Carlos Manuelda 2008-04-04 02:33:08 UTC
Created attachment 148563 [details, diff]
patch for compiling with gcc 4.3
Comment 2 Samuli Suominen gentoo-dev 2008-04-14 19:57:24 UTC
thanks, I've added your patch in. sync in hour, or so